﻿namespace MvvmLight1.Core
{
    using System;
    using System.ComponentModel;
    using System.Runtime.CompilerServices;

    public class MagicAttribute : Attribute { }

    public class NoMagicAttribute : Attribute { }

    [Magic]
    public class PropertyChangedBase : INotifyPropertyChanged
    {
        protected virtual void RaisePropertyChanged([CallerMemberName] string property = "")
        {
            var e = PropertyChanged;
            if (e != null)
                e(this, new PropertyChangedEventArgs(property));
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
