namespace MvvmLight1.Core
{
    using MvvmLight1.ViewModel;
    using System.Collections.Generic;
    using Telerik.Windows.Controls;

    public class ThingsProvider : IGenericListFieldInfoProvider
    {
        public System.Collections.IEnumerable ItemsSource
        {
            get
            {
                return new List<string> { "phone", "car" };
            }
        }

        public IGenericListValueConverter ValueConverter
        {
            get { return null; }
        }
    }

    public class Thing1Provider : IGenericListFieldInfoProvider
    {
        private Thing1ValueConverter converter = new Thing1ValueConverter();
        public System.Collections.IEnumerable ItemsSource
        {
            get
            {
                return new List<string> { "nokia", "sony" };
            }
        }

        public IGenericListValueConverter ValueConverter
        {
            get { return this.converter; }
        }
    }

    public class Thing1ValueConverter : IGenericListValueConverter
    {
        public object ConvertForEditor(RadListPicker editor, object value)
        {
            string things = ViewModelLocator.Main.Things;
            if (things == null)
            {
                return value;
            }

            List<string> source = null;

            if (things == "car")
            {
                editor.ItemsSource = source = new List<string> { "bmw", "alfa" };
            }
            else if (things == "phone")
            {
                editor.ItemsSource = source = new List<string> { "nokia", "sony" };
            }

            return source[0];
        }

        public object ConvertForProperty(RadListPicker editor, object value)
        {
            return value;
        }
    }


}